Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160907 - Missing config entry for JVC pcmcia cdrom
Summary: Missing config entry for JVC pcmcia cdrom
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hwdata
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-18 10:45 UTC by Richard Kennedy
Modified: 2014-03-17 02:54 UTC (History)
2 users (show)

Fixed In Version: 0.159-1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-20 19:29:28 UTC


Attachments (Terms of Use)

Description Richard Kennedy 2005-06-18 10:45:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
JVC MP-CDX1 pcmcia cdrom not found. No entry found for this device in /etc/pcmcia/config.

adding entry to /etc/pcmcia/config

card "JVC MP-CDX1"
version "KME", "KXLC005"
bind "ide-cs"

fixes the problem and the cdrom then works correctly.

Please update the config file



Version-Release number of selected component (if applicable):
hwdata-0.158-1

How reproducible:
Always

Steps to Reproduce:
1.insert cdrom card
2.device config not found
3.
  

Additional info:

Comment 1 Bill Nottingham 2005-06-20 16:42:10 UTC
Does this not report as the right function id?

What does 'cardctl info' say when it's inserted?

Comment 2 Richard Kennedy 2005-06-20 17:41:22 UTC
cardctl info
PRODID_1="KME"
PRODID_2="KXLC005"
PRODID_3="00"
PRODID_4=""
MANFID=0032,2904
FUNCID=8
PRODID_1=""
PRODID_2=""
PRODID_3=""
PRODID_4=""
MANFID=0000,0000
FUNCID=255



Comment 3 Bill Nottingham 2005-06-20 19:29:28 UTC
Oh, the PCMCIA ide adapter reports itself as a SCSI device. Nice.

Added in CVS, will be in 0.159-1. Thanks!


Note You need to log in before you can comment on or make changes to this bug.